# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:56:48 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pnam	CzFast
Summary:	CzFast - Perl module for Czech charsets manipulation
Summary(pl):	CzFast - modu Perla do manipulacji czeskimi zestawami znakw
Name:		perl-CzFast
Version:	0.10
Release:	3
License:	GPL 1+ / Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/T/TR/TRIPIE/%{pnam}-%{version}.tar.gz
Source1:	%{pnam}.3pm
URL:		http://www.cpan.org/authors/id/T/TR/TRIPIE/%{pnam}-%{version}.readme
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CzFast is a Perl module for Czech charsets manipulation. It uses
character tables created by Jaromir Dolecek for the Csacek project
(http://www.csacek.cz).

%description -l pl
CzFast jest moduem Perla do manipulacji czeskimi zestawami znakw.
Korzysta on z tablic przekodowa utworzonych przez Jaromira Dolecka
na potrzeby projektu Csacek (http://www.csacek.cz).

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/cs/man3

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_mandir}/man3/CzFast.3pm* $RPM_BUILD_ROOT%{_mandir}/cs/man3
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/CzFast.pm
%dir %{perl_sitearch}/auto/CzFast
%{perl_sitearch}/auto/CzFast/CzFast.bs
%attr(755,root,root) %{perl_sitearch}/auto/CzFast/CzFast.so
%{_mandir}/man3/*
%lang(cs) %{_mandir}/cs/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-CzFast.spec,v $
Revision 1.4.2.1  2003/03/13 00:56:48  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:38:29  radek
- use the __perl macro

Revision 1.3  2002/09/29 10:43:12  ankry
- release 2

Revision 1.2  2002/09/26 12:14:06  ankry
- typos

Revision 1.1  2002/08/26 12:56:58  ankry
- initial release, STBR

